DELETE /experimental/project/{projectID}/copy
DELETE
/experimental/project/{projectID}/copyPath parameters
projectIDstringrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsondirectorystringrequiredforcebooleanrequiredResponses
204<No Content>
400ProjectCopyError | InvalidRequestError
Any of:
ProjectCopyError
namestringrequiredAllowed:
ProjectCopyErrordataobjectrequiredShow propertiesHide properties
messagestringrequiredforceRequiredboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X DELETE "/experimental/project/string/copy" \
-H "Content-Type: application/json" \
-d '{
"directory": "string",
"force": true
}'const response = await fetch("/experimental/project/string/copy", {
method: "DELETE",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"directory": "string",
"force": true
})
});import requests
response = requests.delete(
"/experimental/project/string/copy",
headers={
"Content-Type": "application/json"
},
json={
"directory": "string",
"force": True
},
)Response
<No Content>
{
"name": "ProjectCopyError",
"data": {
"message": "string",
"forceRequired": true
}
}{
"_tag": "UnauthorizedError",
"message": "string"
}